//-----------------------------------------------------------------------------
//  Copyright (C) 2008 Thomas S. Ullrich 
//
//  This file is part of "eDISK".
//
//  This file may be used under the terms of the GNU General Public License.
//  This project is free software; you can redistribute it and/or modify it
//  under the terms of the GNU General Public License.
//  
//  Author: Thomas S. Ullrich
//  Last update: Feb 22, 2008
//-----------------------------------------------------------------------------
#ifndef eDISKHelpBrowser_h
#define eDISKHelpBrowser_h
 
#include <QWidget>
 
class QPushButton;
class QTextBrowser;
class QTreeWidget;
class QTreeWidgetItem;

class eDISKHelpBrowser :  public QWidget
{
    Q_OBJECT
    
public:
    eDISKHelpBrowser(const QString &, const QString &);
 
private slots:
    void updateCaption();
    void itemSelected(QTreeWidgetItem* item);
    
private:
    void createIndex(const QString &);
    void showPage(const QString &);

private:
    QTextBrowser *mTextBrowser;
    QTreeWidget  *mTreeWidget;
    QPushButton  *mHomeButton;
    QPushButton  *mBackButton;
    QPushButton  *mForwardButton;
    QPushButton  *mCloseButton;
};
#endif
